<template>
    <li @click="to_motion">
        <div class="mobile_motion_item_ct">
          <div class="motion_item_content">
            <div class="motion_item_title">
              <router-link :to="{name: 'motion_item', params: {'motion_id': motion.motion_id} }">
              {{ motion.title }} {{ motion.section }}
              </router-link>
              <span class="motion_status orange_tag" v-if="motion.section == 0">
                <div class="motion_circle"></div>
                {{ lang.data['审批中'] }}
              </span>
              <span class="motion_status green_tag" v-if="motion.section == 1 && motion.approve_end_block_num > motion.head_block_num">
                <div class="motion_circle"></div>
                {{ lang.data['公示中'] }}
              </span>
              <span class="motion_status red_tag" v-if="motion.section == 1 && motion.approve_end_block_num <= motion.head_block_num">
                <div class="motion_circle"></div>
                {{ lang.data['执行中'] }}
              </span>
            </div>
            
            <div class="motion_item_content_text" v-html="motion.content"></div>
            <div class="motion_actions_ct">
              <div class="motion_expand">
                <!-- 展开 <div class="down_arrow"></div> -->
              </div>
              <div class="motion_action_brief">
                <div class="motion_action_tagct">
                  <span class="motion_action_title">{{ lang.data['剩余时间'] }}</span>
                  <span class="motion_action_content">
                    <span class="" v-if="!motion.time_key">{{ 0 }}{{ lang.data['天'] }}</span>
                    <span class="" v-if="motion.time_key.day > 0">{{ motion.time_key.day }}{{ lang.data['天'] }}</span>
                    <span class="" v-if="motion.time_key.hour > 0">{{ motion.time_key.hour }}{{ lang.data['小时'] }}</span>
                    <span class="" v-if="motion.time_key.min > 0">{{ motion.time_key.min }}{{ lang.data['分'] }}</span>
                  </span>
                </div>
                <div class="motion_action_tagct">
                  <span class="motion_action_title">{{ lang.data['同意'] }}/{{ lang.data['反对'] }}</span>
                  <span class="motion_action_content">{{ approves.approved.length }}/{{ approves.unapproved.length }}</span>
                </div>
              </div>
            </div>
          </div>
        </div>

        <div class="motion_item_ct">
          <div class="motion_item_content">
            <div class="motion_item_title">
              <router-link class="motion_item_title_txt" :to="{name: 'motion_item', params: {'motion_id': motion.motion_id} }">
              {{ motion.title }}
              </router-link>
              <span class="motion_status orange_tag" v-if="motion.section == 0">
                <div class="motion_circle"></div>
                {{ lang.data['审批中'] }}
              </span>
              <span class="motion_status green_tag" v-if="motion.section == 1 && motion.approve_end_block_num > motion.head_block_num">
                <div class="motion_circle"></div>
                {{ lang.data['公示中'] }}
              </span>
              <span class="motion_status red_tag" v-if="motion.section == 1 && motion.approve_end_block_num <= motion.head_block_num">
                <div class="motion_circle"></div>
                {{ lang.data['已通过'] }}
              </span>
            </div>
            
            <div class="motion_item_content_text" v-html="motion.content">
            </div>
          </div>
          <div class="motion_item_status motion_item_status_ct">
              <div class="mis_title">{{ lang.data['提案进程'] }}</div>
              <div class="mis_box">
                <div class="mis_box_item">
                  <div class="mis_box_item_tag">{{ lang.data['剩余时间'] }}</div>
                  <div class="mis_box_item_days" v-if="!motion.time_key">{{ 0 }}{{ lang.data['天'] }}</div>
                  <div class="mis_box_item_days" v-if="motion.time_key && motion.time_key.day > 0">{{ motion.time_key.day }}{{ lang.data['天'] }}</div>
                  <div class="mis_box_item_days" v-if="motion.time_key && motion.time_key.hour > 0">{{ motion.time_key.hour }}{{ lang.data['小时'] }}</div>
                  <div class="mis_box_item_days" v-if="motion.time_key && motion.time_key.min > 0">{{ motion.time_key.min }}{{ lang.data['分'] }}</div>
                </div>

                <div class="mis_box_item" v-if="on_load">
                    <div class="load_circle"></div>
                </div>
                <div class="mis_box_item" v-if="!on_load">
                  <div class="mis_box_item_tag">{{ lang.data['同意'] }}/{{ lang.data['反对'] }}</div>
                  <div class="mis_box_item_days">{{ approves.approved.length }}/{{ approves.unapproved.length }}</div>
                  <!-- <div class="mis_box_item_days">{{ motion.approved ? motion.approved.split(',').length : 0 }}/{{  motion.unapproved ? motion.unapproved.split(',').length : 0 }}</div> -->
                </div>
              </div>
          </div>
        </div>
    </li>
</template>
<script>
// section: 0, 1, 2, 3[0, 提出], [1, 通过], [2, 驳回], [3, bp多签驳回]
import {
  query_approvers
} from '../service'
import { lang } from '../lang'
export default {

  data () {
    return {
      lang,
      approves: {approved: [], unapproved: []},
      on_load: true
    }
  },

  props: {
    motion: {
      type: Object,
      default () {
        return '';
      }
    }
  },

  mounted () {
    this.query_approvers();
  },

  methods: {
    to_motion () {
      this.$router.push({
        name: 'motion_item',
        params: {
          motion_id: this.motion.motion_id
        }
      })
    },

    async query_approvers () {
      this.on_load = true;
      let res = await query_approvers(this.motion.proposer, this.motion.motion_id);
      this.approves = res.rows[0] || {approved: [], unapproved: []};
      this.on_load = false;
    }
  }

}
</script>
